import { CssProperty, CssAnimationProperty, InheritedCssProperty } from '../core/properties';
import { Style } from './style';
import { TransformFunctionsInfo } from '../animation';
import { Color } from '../../color';
import { Font, FontStyleType, FontWeightType, FontVariationSettingsType } from './font';
import { Background } from './background';
import { CoreTypes } from '../../core-types';
import { LinearGradient } from './linear-gradient';
export declare namespace PercentLength {
    function parse(fromValue: string | CoreTypes.LengthType): CoreTypes.PercentLengthType;
    const equals: {
        (a: CoreTypes.PercentLengthType, b: CoreTypes.PercentLengthType): boolean;
    };
    const toDevicePixels: {
        (length: CoreTypes.PercentLengthType, auto: number, parentAvailableWidth: number): number;
    };
    const convertToString: {
        (length: CoreTypes.PercentLengthType): string;
    };
}
export declare namespace Length {
    function parse(fromValue: string | CoreTypes.LengthType): CoreTypes.LengthType;
    const equals: {
        (a: CoreTypes.LengthType, b: CoreTypes.LengthType): boolean;
    };
    const toDevicePixels: {
        (length: CoreTypes.LengthType, auto?: number): number;
    };
    const convertToString: {
        (length: CoreTypes.LengthType): string;
    };
}
export declare const minWidthProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const minHeightProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const widthProperty: CssAnimationProperty<Style, CoreTypes.PercentLengthType>;
export declare const heightProperty: CssAnimationProperty<Style, CoreTypes.PercentLengthType>;
export declare const marginLeftProperty: CssProperty<Style, CoreTypes.PercentLengthType>;
export declare const marginRightProperty: CssProperty<Style, CoreTypes.PercentLengthType>;
export declare const marginTopProperty: CssProperty<Style, CoreTypes.PercentLengthType>;
export declare const marginBottomProperty: CssProperty<Style, CoreTypes.PercentLengthType>;
export declare const paddingLeftProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const paddingRightProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const paddingTopProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const paddingBottomProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const horizontalAlignmentProperty: CssProperty<Style, CoreTypes.HorizontalAlignmentType>;
export declare const verticalAlignmentProperty: CssProperty<Style, CoreTypes.VerticalAlignmentTextType>;
export declare const rotateProperty: CssAnimationProperty<Style, number>;
export declare const rotateXProperty: CssAnimationProperty<Style, number>;
export declare const rotateYProperty: CssAnimationProperty<Style, number>;
export declare const perspectiveProperty: CssAnimationProperty<Style, number>;
export declare const scaleXProperty: CssAnimationProperty<Style, number>;
export declare const scaleYProperty: CssAnimationProperty<Style, number>;
export declare const translateXProperty: CssAnimationProperty<Style, number>;
export declare const translateYProperty: CssAnimationProperty<Style, number>;
export declare function transformConverter(text: string): TransformFunctionsInfo;
export declare const backgroundInternalProperty: CssProperty<Style, Background>;
export declare const backgroundImageProperty: CssProperty<Style, string | LinearGradient>;
export declare const backgroundColorProperty: CssAnimationProperty<Style, Color>;
export declare const backgroundRepeatProperty: CssProperty<Style, CoreTypes.BackgroundRepeatType>;
export declare const backgroundSizeProperty: CssProperty<Style, string>;
export declare const backgroundPositionProperty: CssProperty<Style, string>;
export declare const borderTopColorProperty: CssProperty<Style, Color>;
export declare const borderRightColorProperty: CssProperty<Style, Color>;
export declare const borderBottomColorProperty: CssProperty<Style, Color>;
export declare const borderLeftColorProperty: CssProperty<Style, Color>;
export declare const borderTopWidthProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const borderRightWidthProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const borderBottomWidthProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const borderLeftWidthProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const borderTopLeftRadiusProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const borderTopRightRadiusProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const borderBottomRightRadiusProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const borderBottomLeftRadiusProperty: CssProperty<Style, CoreTypes.LengthType>;
export declare const clipPathProperty: CssProperty<Style, string>;
export declare const zIndexProperty: CssProperty<Style, number>;
export declare const opacityProperty: CssAnimationProperty<Style, number>;
export declare const colorProperty: InheritedCssProperty<Style, Color>;
export declare const fontInternalProperty: CssProperty<Style, Font>;
export declare const fontFamilyProperty: InheritedCssProperty<Style, string>;
export declare const fontScaleInternalProperty: InheritedCssProperty<Style, number>;
export declare const fontSizeProperty: InheritedCssProperty<Style, number>;
export declare const fontStyleProperty: InheritedCssProperty<Style, FontStyleType>;
export declare const fontWeightProperty: InheritedCssProperty<Style, FontWeightType>;
export declare const fontVariationSettingsProperty: InheritedCssProperty<Style, FontVariationSettingsType[]>;
export declare const visibilityProperty: CssProperty<Style, CoreTypes.VisibilityType>;
export declare const androidElevationProperty: CssProperty<Style, number>;
export declare const androidDynamicElevationOffsetProperty: CssProperty<Style, number>;
